
#version 3.0
global_settings { assumed_gamma 2.2 }

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

camera {
  location <0, 0, -30>
  look_at <0, 0, 0>
  angle 70
  rotate <clock*100,clock*10,clock*190>
}

light_source{ <40,40,-40> color White }

#declare my_tex =
texture {
  pigment { color Clear }
  halo {
    linear
    max_value 1.0
    spherical_mapping
    emitting
    turbulence 5.5
    colour_map {
      [0 color rgbt <1,0,0,1>]
      [1 color rgbt <1,1,0,0>]
    }
    samples 10
  }
}

// clock geht von 1 bis 26

#if (clock<13)
  object{Sphere hollow texture{ my_tex } scale clock}
#else
  object{Sphere hollow texture{ my_tex } scale 27-clock}
#end
