
#ifndef computerspieler_header
#define computerspieler_header

#include "main_win.hh"
#include "landschaft.hh"
#include "einheit.hh"

typedef struct {
  int		x, y;
  einheit	*e;
} Fahrzeug;

class computerspieler {
  
  public:
  
  computerspieler();
  ~computerspieler();
  
  void init(main_win *main_w);
  
  void bewegen();
  void angreifen();
  
  private:
  
  main_win	*mw;
  landschaft	*ls;
  int		max_fz, max_fe;		// fz - eigene Fahrzeuge
  Fahrzeug	*fz, *fe;		// fe - Feinde
  int		fahrzeug_anzahl;
  
  void naechstesDepot(int & x, int & y, int posx, int posy);
  
  void fahrzeuge_aktualisieren();
  int zaehle_feinde();
  
  int abstand(int x1, int y1, int x2, int y2);
  void swap(int & var1, int & var2);
  void swap(Fahrzeug & var1, Fahrzeug & var2);
  
};

#endif

