
#ifndef einheit_header
#define einheit_header

#define NAME_LEN	80

#include <qwidget.h>
#include <qpixmap.h>
#include <qbitmap.h>

typedef struct {
  double	anzahl_d;
  int		anzahl,
  		ausbildung,
  		gehoere_zu,
  		id,
  		type;
} einheitData;

class main_win;

class einheit {
  
  public:
  
  einheit(QWidget *parent, int type, int spieler);
  ~einheit();
  
  void copy(einheit *e);
  
  char		gruppe[NAME_LEN],
  		*pxm_name;
  double	anzahl_d;
  int		anzahl,
		ausbildung,
		min_schussweite,
		max_schussweite,
		bewegung,
		panzerung,
		feuerkraft_luft,
		feuerkraft_boden,
		gehoere_zu,
		flugzeug,
		was_bin_ich,
		*StrategieDaten;
  
  QPixmap	*ansicht;
  
  int get_einheit_id();
  
  void print();
  
  void uebernahmeDurchSpieler(int spieler);
  
  int fusstruppe();
  
  char *getMissleName();
  
  void werte2data(einheitData & data);
  void data2werte(einheitData & data);
  
  private:
  
  main_win	*mw;
  QWidget	*parent_widget;
  int		einheit_id, fahrzeug_anzahl, fusstr;
  char		missle[NAME_LEN],
  		pxm_sp1_name[NAME_LEN], pxm_sp2_name[NAME_LEN];
  
  void read(char *filename);
  
};

#endif

