#include <fstream.h>
#include <stdio.h>
#include <qapplication.h>
#include <signal.h>
#include <qjpegio.h>

#include "menu.hh"

void sigIntHandler(int)
{
  cout << "program recieved SIGINT, exiting" << endl;
  if (msgctl(msq_id,IPC_RMID,0)==-1) perror("cant remove message queue");
  exit(0);
}


int main(int argc, char *argv[])
{
  
  // Jpeg Unterstuetzung
  qInitJpegIO();
  
  QApplication::setColorSpec(QApplication::ManyColor);
  QApplication	a(argc,argv);
  menu		me;
  int		r;
  
  // Signalhandler fuer SIGINT
  signal(SIGINT,sigIntHandler);
  
  me.show();
  a.setMainWidget(&me);
  r=a.exec();
  
  if (msgctl(msq_id,IPC_RMID,0)==-1) perror("cant remove message queue");
  
  cout << "exiting" << endl;
  
  return r;
}

