
#include "mytogglebutton.hh"

MyToggleButton::MyToggleButton(QWidget *parent, char *text1, char *text2) :  QPushButton(parent)
{
  stat=1;
  txt1=text1;
  txt2=text2;
  
  setText(txt1);
  
  connect(this,SIGNAL(clicked()),this,SLOT(change()));
}

void MyToggleButton::change() {
  
  if (stat==1) {
    stat=2;
    setText(txt2);
  } else {
    stat=1;
    setText(txt1);
  }
  
  repaint();
}

int MyToggleButton::status() {
  return stat;
}

void MyToggleButton::status(int st) {
  
  if (st==1) setText(txt1);
  else if (st==2) setText(txt2);
  else return;
  
  stat=st;

  repaint();
}

