
#include <math.h>

#include "einheit.hh"

void bewertung(einheit *angreifer, einheit *gegner, int gegenwehr) {
  
  double	fea, feg, aua, aug, ana, ang, paa, pag, vea, veg;
  
  if (gegner->flugzeug) fea=(double)angreifer->feuerkraft_luft;
  else fea=(double)angreifer->feuerkraft_boden;
  if (angreifer->flugzeug) feg=(double)gegner->feuerkraft_luft;
  else feg=(double)gegner->feuerkraft_boden;
  
  aua=(double)angreifer->ausbildung;
  aug=(double)gegner->ausbildung;
  
  ana=(double)angreifer->anzahl;
  ang=(double)gegner->anzahl;
  
  paa=(double)angreifer->panzerung;
  pag=(double)gegner->panzerung;
  
  veg=fea/35*pow(2,(aua-aug)/7)*pow(3,(ana-6)/4)*(1-pag/200);
  if (veg<0) veg=0;
  
  if (gegenwehr) vea=feg/35*pow(2,(aug-aua)/7)*pow(3,(ang-6)/4)*(1-paa/200);
  else vea=0;
  if (vea<0) vea=0;
  
  angreifer->anzahl_d-=vea;
  angreifer->anzahl=(int)(angreifer->anzahl_d+0.5);
  
  gegner->anzahl_d-=veg;
  gegner->anzahl=(int)(gegner->anzahl_d+0.5);
  
}

