
#ifndef depot_window_header
#define depot_window_header

#include <qwidget.h>
#include <qpushbutton.h>
#include <qlabel.h>

class main_win;
class depot;
class factory;

class depot_window : public QWidget {
  
  Q_OBJECT
  
  public:
  
  depot_window(main_win *parent, depot *parent_dep);
  ~depot_window();
  
  void redraw_inhalt();
  
  public slots:
  
  void baueFahrzeug();
  
  protected:
  
  void paintEvent(QPaintEvent *);
  void mouseReleaseEvent(QMouseEvent *me);
  void closeEvent(QCloseEvent *ev);
  
  private:
  
  main_win	*mw;
  depot		*dep;
  QPushButton	schliessen;
  QPixmap	*stellpl, *moved;
  QLabel	energie, headline,
		beschr1, beschr2;
  factory	*fac;
  
};

#endif
