
#ifndef land_header
#define land_header

#include <qwidget.h>
#include <qpixmap.h>
#include <qpainter.h>

#include "einheit.hh"

class main_win;

class land {
  
  public:
  
  double		befahrbarkeit;	// 1..5 normal, 100 sehr schlecht
  
  land(QWidget *parent, QPixmap *ans, double bef, int du);
  virtual ~land();
  
  virtual int platz_frei();
  
  virtual int einheit_kommt_an(einheit *e, int platz=-1);
  virtual einheit * einheit_geht(int platz=-1);
  virtual einheit * get_einheit(int platz=-1);
  virtual void einheit_zerstoert(int=-1);
  virtual int get_akt_stellplatz();
  virtual void set_akt_stellplatz(int platz);
  
  virtual void repariere_einheit(int platz);
  virtual int wieviel_energie();
  virtual int oeffnen();
  virtual void copy(land *d);
  
  virtual void modus_wechseln();
  
  virtual int gehoere_zu();
  
  void zug_beendet(int bo);
  int zug_beendet();
  
  void rahmen(int bo);
  int rahmen();
  
  virtual void draw_ansicht(QPainter *pa, int posx, int posy);
  
  virtual int bin_depot();
  virtual int bin_factory();
  virtual int bin_headquarter();
  virtual int bin_depotumr();
  virtual int bin_strasse();
  
  virtual void uebernahmeDurchSpieler(int spieler);
  
  void setStrasse(int strasse);
  
  virtual void setEnergy(int e);
  protected:
  
  QPixmap	*landbild, *rahmen_pixmap, *strasse_pixmap;
  int		rahmen_v;
  
  private:
  
  main_win	*mw;
  QWidget	*parent_widget;
  QPixmap	*moved_pixmap;
  einheit	*eh;
  int		zug_beendet_v, depot_umr;
  
};

#endif
