
#include <qpainter.h>
#include <qapplication.h>

#include "victory_msg.hh"

victoryMsg::victoryMsg() :
  ok("ok",this),
  pixmap("pics/msg_wb.jpg")
  {
  
  text=NULL;
  setFixedSize(400,100);
  setBackgroundPixmap((QPixmap&)pixmap);  
  connect(&ok,SIGNAL(pressed()),qApp,SLOT(quit()));
  
  hide();
  
}

victoryMsg::~victoryMsg() {
}

void victoryMsg::setText(char *txt) {
  text=txt;
  show();
  paintEvent(NULL);
}

void victoryMsg::paintEvent(QPaintEvent *) {
  
  QPainter	pa;
  QFont		fo("times",18);
  
  if (text!=NULL)
  {
    pa.begin(this);
	pa.setFont(fo);
	pa.drawText(10,40,text);
    pa.end();
  }
  ok.setGeometry(80,70,width()-160,20);
}

